# CreateVpc

## 1. 接口描述

本接口(CreateVpc)用于创建全球VPC。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                                                                        | 描述                                                                                               |
| --------------- | -- | --------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| name            | 是  | String                                                                                                    | <p>VPC的名称。</p><p>范围2到63个字符。</p><p>仅支持输入字母、数字、-和英文句点(.)。</p><p>且必须以数字或字母开头和结尾。</p>                |
| cidrBlock       | 是  | String                                                                                                    | <p>VPC的CIDR地址段。</p><p>需要满足以下4种内网段内(10.0.0.0/9, 10.128.0.0/9, 172.16.0.0/12以及192.168.0.0/16)。</p> |
| mtu             | 是  | Integer                                                                                                   | <p>VPC的传输单元 MTU。</p><p>支持：1300、1500、9000。</p>                                                    |
| enablePriIpv6   | 否  | Boolean                                                                                                   | <p>是否开启内网IPv6。</p><p>一旦开启，后续无法关闭。</p><p>默认为关闭。</p><p>默认值：false</p>                               |
| resourceGroupId | 否  | String                                                                                                    | <p>VPC所在的资源组ID。</p><p>如果不指定资源组，则会放到默认的资源组中。</p>                                                  |
| tags            | 否  | [TagAssociation](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#tagassociation) | <p>创建VPC时关联的标签。</p><p>注意：·关联<code>标签键</code>不能重复。</p>                                            |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| vpcId     | String | 创建的VPC ID。                                               |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 创建VPC。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateVpc
<Common Request Params>

Request：
{
  "name": "vpcXXX",
  "cidrBlock": "10.0.0.0/9",
  "mtu": 1300
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "vpcId": "xxxx"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                                 | 说明            |
| ------- | --------------------------------------------------- | ------------- |
| 400     | INVALID\_CIDR\_BLOCK\_FORMAT                        | CIDR格式不正确。    |
| 400     | INVALID\_CIDR\_BLOCK\_NETMASK\_RANGE                | CIDR网段范围不正确。  |
| 400     | INVALID\_CIDR\_BLOCK\_NOT\_EMPTY                    | CIDR不能为空。     |
| 400     | INVALID\_CIDR\_BLOCK\_NOT\_LAN\_IP                  | CIDR网段不是内网IP。 |
| 400     | INVALID\_IP\_BROADCAST\_ADDRESS                     | IP为广播地址不可用。   |
| 400     | UNSUPPORTED\_OPERATION\_TEAM\_NETWORK\_COUNT\_LIMIT | VPC数量超配额限制。   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/vpc-network/createvpc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
